jQuery(document).ready(function($) {

    // 工单列表逻辑
    var orderList = new Vue({
        el: '#order-list',
        data: {
            workOrders: []
        },
        methods: {
            woDetail: function (wo) {
                console.log(wo.id);
                // 获取工单详情
                var data = JSON.stringify(
                    {
                        "id": wo.id,
                        "woStatus": wo.woStatus,
                        "woType": wo.woType,
                        "woProcessUid":''
                    }
                );
                $.ajax({
                    url: url,
                    dataType: "json",
                    data: data,
                    type: 'post',
                    contentType: "application/json; charset=utf-8",
                    success: function (res) {
                        console.log(res);
                        orderList.workOrders = res.data.list;
                    },
                    fail: function (msg) {
                        console.log(msg);

                    }
                });

            }
        }
    })

    function initLoadWO() {
        var url = "/work/wo/list?page=1&limit=20";
        var data = JSON.stringify({
            "reqDto": {
                "woStatus": 0,
                "woType": "revisit",
                "woProcessUid":''
            }
        });
        $.ajax({
            url: url,
            dataType: "json",
            data: data,
            type: 'post',
            contentType: "application/json; charset=utf-8",
            success: function (res) {
                console.log(res);
                orderList.workOrders = res.data.list;
                numCount.message = res.data.total;
            }
        });
    }

    var host = "http://localhost:8083";

    // 初始化加载回访工单列表
    initLoadWO();

    // 员工工作状态逻辑
    var workStatus = new Vue({
        el: '#workStatus',
        data: {
            curStatus: '下班'
        }
    })

    // 数据提示条
    var numCount = new Vue({
        el: '#numCount',
        data: {
            message:"100"
        }
    })
    // 页面分页按钮逻辑
    var pager = new Vue({
        el: '#pager',
        data: {
            curPage: 1
        },
        methods: {
            prePage: function() {
                this.curPage = this.curPage - 1;
            },
            nextPage: function() {
                this.curPage = this.curPage + 1;
            }
        }
    })

    // 工单状态选择Tab逻辑
    var url = "/work/wo/list?page=1&limit=20";
    var statusTab = new Vue({
        el: '#statusTab',
        methods: {
            unprocessed: function () {
                var data = JSON.stringify(
                    {
                        "woStatus": 0,
                        "woType": "revisit",
                        "woProcessUid":''
                    }
                );
                $.ajax({
                    url: url,
                    dataType: "json",
                    data: data,
                    type: 'post',
                    contentType: "application/json; charset=utf-8",
                    success: function (res) {
                        orderList.workOrders = res.data.list;
                    },
                    fail: function (msg) {
                        console.log("Error happened, Please contact Administrator. " + msg);

                    }
                });
            },
            processed: function () {
                var data = JSON.stringify(
                     {
                        "woStatus": 1,
                        "woType": "revisit",
                         "woProcessUid":''
                    }
                );
                $.ajax({
                    url: url,
                    dataType: "json",
                    data: data,
                    type: 'post',
                    contentType: "application/json; charset=utf-8",
                    success: function (res) {
                        console.log(res);
                        orderList.workOrders = res.data.list;
                    },
                    fail: function (msg) {
                        console.log(msg);

                    }
                });
            }
        }
    })

    // 将回访工单列表做页面渲染
    console.log('Finished.');

});
